Page MenuHomePhabricator

AbuseFilter on Wikidata fails on blocking IPs
Closed, ResolvedPublic

Description

AbuseFilter #5 is set to block users (spambots). However, recent logs show that users are only warned a no blocking is done (edits can be saved).

It could be related to changes that allowed redirects to be logged by AbuseFilter.

See T72715: AbuseFilter doesn't log creating redirects in mainspace

Event Timeline

matej_suchanek raised the priority of this task from to Needs Triage.
matej_suchanek updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2015, 12:33 PM
Lydia_Pintscher triaged this task as High priority.May 10 2015, 12:28 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: aude.
Addshore set Security to None.May 10 2015, 9:40 PM

Change 209992 had a related patch set uploaded (by Addshore):
Merge EditFilterHookStatus into EditEntity Status

https://gerrit.wikimedia.org/r/209992

Change 209992 merged by jenkins-bot:
Merge EditFilterHookStatus into EditEntity Status

https://gerrit.wikimedia.org/r/209992

Change 210019 had a related patch set uploaded (by Aude):
Merge EditFilterHookStatus into EditEntity Status

https://gerrit.wikimedia.org/r/210019

The problem is much greater: even tags are not applied and disabled actions can be done as well. This problem only ocurs when a filter has an action together with warning set (tag or disable). Seems to be a big trouble, fortunately all actions are logged.

Change 210019 merged by jenkins-bot:
Merge EditFilterHookStatus into EditEntity Status

https://gerrit.wikimedia.org/r/210019

Addshore claimed this task.May 11 2015, 3:30 PM
matej_suchanek closed this task as Resolved.May 17 2015, 12:38 PM